libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::QueryFieldAgg Class Reference

Represents a function (selected by a DictAggregate object). More...

Inheritance diagram for Gnome::Gda::QueryFieldAgg:

[legend]
List of all members.

## Public Member Functions

Glib::RefPtr<const QueryField> | get_arg () const
| Get a list of the other Gda::QueryField objects which are arguments of agg.
Glib::RefPtr<QueryField> | get_arg ()
| Get a list of the other Gda::QueryField objects which are arguments of agg.
Glib::RefPtr<const DictAggregate> | get_ref_agg () const
| Get the real Gda::DictAggregate object used by agg.
Glib::RefPtr<DictAggregate> | get_ref_agg ()
| Get the real Gda::DictAggregate object used by agg.
const GdaQueryFieldAgg* | gobj () const
| Provides access to the underlying C GObject.
GdaQueryFieldAgg* | gobj ()
| Provides access to the underlying C GObject.
GdaQueryFieldAgg* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
| QueryFieldAgg (const Glib::RefPtr<Query>& query, const Glib::ustring& agg_name)
void | set_arg (const Glib::RefPtr<QueryField>& arg)
| Sets the argument of agg.
virtual | ~QueryFieldAgg ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gnome::Gda::QueryFieldAgg> | wrap (GdaQueryFieldAgg* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Represents a function (selected by a DictAggregate object).

## Constructor & Destructor Documentation

virtual Gnome::Gda::QueryFieldAgg::~QueryFieldAgg | ( |  | ) | `[virtual]`

Gnome::Gda::QueryFieldAgg::QueryFieldAgg | ( | const Glib::RefPtr<Query>& | query,
|  | const Glib::ustring & | agg_name |
| ) |  |  | `[explicit]`

## Member Function Documentation

Glib::RefPtr<const QueryField> Gnome::Gda::QueryFieldAgg::get_arg | ( |  | ) | const

Get a list of the other Gda::QueryField objects which are arguments of agg.

If some of them are missing, then a `0` is inserted where it should have been.

Returns:
  The Gnome::DbQField argument.

Glib::RefPtr<QueryField> Gnome::Gda::QueryFieldAgg::get_arg | ( |  | ) |

Get a list of the other Gda::QueryField objects which are arguments of agg.

If some of them are missing, then a `0` is inserted where it should have been.

Returns:
  The Gnome::DbQField argument.

Glib::RefPtr<const DictAggregate> Gnome::Gda::QueryFieldAgg::get_ref_agg | ( |  | ) | const

Get the real Gda::DictAggregate object used by agg.

Returns:
  The Gda::DictAggregate object, or `0` if agg is not active.

Glib::RefPtr<DictAggregate> Gnome::Gda::QueryFieldAgg::get_ref_agg | ( |  | ) |

Get the real Gda::DictAggregate object used by agg.

Returns:
  The Gda::DictAggregate object, or `0` if agg is not active.

const GdaQueryFieldAgg* Gnome::Gda::QueryFieldAgg::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::QueryField.

GdaQueryFieldAgg* Gnome::Gda::QueryFieldAgg::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::QueryField.

GdaQueryFieldAgg* Gnome::Gda::QueryFieldAgg::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gnome::Gda::QueryField.

void Gnome::Gda::QueryFieldAgg::set_arg | ( | const Glib::RefPtr<QueryField>& | arg | ) |

Sets the argument of agg.

If arg is `0`, then the argument (if there was one) is removed.

If agg is not active, then no check on the provided arg is performed.

Parameters:

  | arg | A Gda::QueryField object.

Returns:
  `true` if no error occurred.

## Friends And Related Function Documentation

Glib::RefPtr<Gnome::Gda::QueryFieldAgg> wrap | ( | GdaQueryFieldAgg * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- queryfieldagg.h